{% extends 'base.html.twig' %}

{% block body %}
    <!-- ##### Welcome Area Start ##### -->
    <section class="shop_grid_area section-padding-80">
        <div class="container">
            <div class="row">
                <div class="col-12 col-md-4 col-lg-3">
                    <div class="shop_sidebar_area">

                        <!-- ##### Single Widget ##### -->
                        <div class="widget catagory mb-50">
                            <!-- Widget Title -->
{#                            <h6 class="widget-title mb-30">Catagories</h6>#}
<br>
                            <!--  Catagories  -->
                            <div class="catagories-menu">
                                <ul id="menu-content2" class="menu-content collapse show">
                                    <!-- Single Item -->

                                    {% for typeRef in refType.fils %}
                                        <li  data-target="#code_{{ typeRef.id }}"
                                                {% if loop.index != 1 %}  {% endif %} >

                                            <a href="{{ path('recherche',{'idTypeRef' :typeRef.id}) }}"> {{ typeRef.libelle }}</a>
                                                <ul  class="sub-menu collapse show"  id="code_{{ typeRef.id }}">
                                                    {% for ref in typeRef.referentiels %}
                                                    <li><a href="{{ path('recherche',{'idRef' :ref.id}) }}">{{ ref.libelle }}</a></li>
                                                    {% endfor %}
                                                </ul>
                                        </li>
                                    {% endfor %}

                                </ul>
                            </div>
                        </div>

                        {#<!-- ##### Single Widget ##### -->
                        <div class="widget price mb-50">
                            <!-- Widget Title -->
                            <h6 class="widget-title mb-30">Filter by</h6>
                            <!-- Widget Title 2 -->
                            <p class="widget-title2 mb-30">Price</p>

                            <div class="widget-desc">
                                <div class="slider-range">
                                    <div data-min="49" data-max="360" data-unit="$"
                                         class="slider-range-price ui-slider ui-slider-horizontal ui-widget ui-widget-content ui-corner-all"
                                         data-value-min="49" data-value-max="360" data-label-result="Range:">
                                        <div class="ui-slider-range ui-widget-header ui-corner-all"></div>
                                        <span class="ui-slider-handle ui-state-default ui-corner-all"
                                              tabindex="0"></span>
                                        <span class="ui-slider-handle ui-state-default ui-corner-all"
                                              tabindex="0"></span>
                                    </div>
                                    <div class="range-price">Range: $49.00 - $360.00</div>
                                </div>
                            </div>
                        </div>

                        <!-- ##### Single Widget ##### -->
                        <div class="widget color mb-50">
                            <!-- Widget Title 2 -->
                            <p class="widget-title2 mb-30">Color</p>
                            <div class="widget-desc">
                                <ul class="d-flex">
                                    <li><a id="actionTest" href="#" class="color1"></a></li>
                                    <li><a href="#" class="color2"></a></li>
                                    <li><a href="#" class="color3"></a></li>
                                    <li><a href="#" class="color4"></a></li>
                                    <li><a href="#" class="color5"></a></li>
                                    <li><a href="#" class="color6"></a></li>
                                    <li><a href="#" class="color7"></a></li>
                                    <li><a href="#" class="color8"></a></li>
                                    <li><a href="#" class="color9"></a></li>
                                    <li><a href="#" class="color10"></a></li>
                                </ul>
                            </div>
                        </div>#}

                    </div>
                </div>

                <div class="col-12 col-md-8 col-lg-9">
                    <div class="shop_grid_product_area">
                        <div class="row">
                            <div class="col-12">
                                <div class="product-topbar d-flex align-items-center justify-content-between">
                                    <!-- Total Products -->
                                    <div class="total-products">
                                        <p><span>{{ produitResult|length }}</span>
                                            {% if isSolde %}
                                                nos produits en promotions
                                            {% else  %}
                                                produits trouvées

                                            {% endif %}

                                        </p>
                                    </div>
                                    <!-- Sorting -->
                                    <div class="product-sorting d-flex">
                                        <p>Tri par:</p>
                                        <form action="{{ path('recherche' , { 'idRef' : 3 , 'trie' : 'PC' }) }}" method="GET">
                                            <select name="trie" id="sortByselect">
                                                <option value="PC">Le plus cher</option>
                                                <option value="MC">Le moins cher</option>
                                                <option value="PD">le plus demander</option>

                                            </select>
                                            <input type="submit" class="d-none" value="">
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="row">

                            <!-- Single Product -->
                            {% for produit in produitResult %}

                            <div class="col-12 col-sm-6 col-lg-4">
                                <a href="{{ path('produitDetail',{'id' :produit.id}) }}">

                                <div class="single-product-wrapper">
                                    <!-- Product Image -->
                                    <div class="product-img">
                                        {% if produit.images[0] is defined %}

                                            <img src="{{ asset('/uploads/images/products/'~produit.images[0].fileName) | imagine_filter('small_image') }}" alt="">
                                        {% endif %}

                                        <!-- Hover Thumb -->
                                        {% if produit.images[1] is defined %}
                                            <img class="hover-img" src="{{ asset('/uploads/images/products/'~produit.images[1].fileName) | imagine_filter('small_image') }}" alt="">
                                        {% endif %}                                        <!-- Hover Thumb -->

                                        <!-- Product Badge -->
                                        {% if produit.solde != null %}
                                        <div class="product-badge offer-badge">
                                            <span>-{{ produit.solde }}%</span>
                                        </div>
                                        {% endif %}
                                        <!-- Favourite -->
{#                                        <div class="product-favourite">#}
{#                                            <a href="#" class="favme fa fa-heart"></a>#}
{#                                        </div>#}
                                    </div>

                                    <!-- Product Description -->
                                    <div class="product-description">
                                        <span>{{ produit.libelle }}</span>
{#                                        <a href="{{ path('produitDetail',{'id' :produit.id}) }}">#}
{#                                            <h6>{{ produit.description }}</h6>#}
{#                                        </a>#}
                                        {% if (produit.solde != null and produit.solde != 0)  %}
                                            <p class="product-price"><span
                                                        class="old-price">{{ produit.prixHT }} TND</span>  <span style="color: #dc0345;text-decoration: none">{{ produit.prixHT -((produit.prixHT / 100)* produit.solde) }} TND</span>
                                            </p>
                                        {% else %}
                                            <p  class="product-price"> {{ produit.prixHT }}
                                                TND</p>
                                        {% endif %}
                                        <!-- Hover Content -->
                                        {#<div class="hover-content">
                                            <!-- Add to Cart -->
                                            <div class="add-to-cart-btn">
                                                <a href="#"  onclick="addPannierAction('{{ produit }}')" id="idPannier" class="btn essence-btn">Add to Cart</a>
                                            </div>
                                        </div>#}
                                    </div>
                                </div>
                                </a>

                            </div>
                            {% endfor %}

                        </div>
                    </div>
                    <!-- Pagination -->
                    {#<nav aria-label="navigation">
                        <ul class="pagination mt-50 mb-70">
                            <li class="page-item"><a class="page-link" href="#"><i class="fa fa-angle-left"></i></a></li>
                            <li class="page-item"><a class="page-link" href="#">1</a></li>
                            <li class="page-item"><a class="page-link" href="#">2</a></li>
                            <li class="page-item"><a class="page-link" href="#">3</a></li>
                            <li class="page-item"><a class="page-link" href="#">...</a></li>
                            <li class="page-item"><a class="page-link" href="#">21</a></li>
                            <li class="page-item"><a class="page-link" href="#"><i class="fa fa-angle-right"></i></a></li>
                        </ul>
                    </nav>#}
                </div>

            </div>
        </div>





    </section>

{% endblock %}


{% block javascripts %}
    {{ parent() }}
    <script>
        $(document).ready(function(){
            $( "#actionTest" ).click(function(){
                var innerHtml = $('.range-price').html(); // = 1
                console.log(innerHtml)
            });

            $( "#addPannier" ).click(function(){
                console.log(innerHtml)
            });


        });

        function  addPannierAction(produit) {
            console.log(produit);
        }
    </script>

{% endblock %}
